//#-hidden-code
//
//  Contents.swift
//
import PlaygroundSupport
import Foundation
//#-end-hidden-code
/*: some text
 ## 傾きに応じた表示
  このプログラムは、micro:bitの加速度センサーから得られた値を使い、傾きに応じてLEDの表示を変更します。
x方向だけでなく、y方向も試してみてください。
*/

setAccelerometerPeriod(.ms160)
let frame1 = MicrobitImage("""
X X X X .
X . . . X
X X X X .
X . . X .
X . . . X
""")
let frame2 = MicrobitImage("""
. . . . .
. . . . .
X X X X X
. . . . .
. . . . .
""")

onAcceleration({(accelerationValues) in
    let x = accelerationValues.x
    if x > 100 {
        frame1.showImage()
    } else {
        frame2.showImage()
    }
})
